## gsf-opendoc-utils

gsf-opendoc-utils — OpenDocument format

## Synopsis

    GError*     gsf_opendoc_metadata_read       (GsfInput *input,
                                                 GsfDocMetaData *md);
    void        gsf_opendoc_metadata_subtree    (GsfXMLIn *doc,
                                                 GsfDocMetaData *md);
    gboolean    gsf_opendoc_metadata_write      (GsfXMLOut *output,
                                                 GsfDocMetaData const *md);

## Description

The OASIS Open Document Format for Office Applications or OpenDocument for short is an XML-based file format specification for office applications overseen by the OASIS standards consortium.

These routines handle the application neutral portions of the <term>OpenDocument</term> format.

## Details

### gsf_opendoc_metadata_read ()

    GError*     gsf_opendoc_metadata_read       (GsfInput *input,
                                                 GsfDocMetaData *md);

Read an OpenDocument metadata stream from `input` and store the properties into `md`. Overwrite any existing properties with the same id.

`input` : | GsfInput
`md` : | GsfDocMetaData
Returns : | a GError if there is a problem.

### gsf_opendoc_metadata_subtree ()

    void        gsf_opendoc_metadata_subtree    (GsfXMLIn *doc,
                                                 GsfDocMetaData *md);

Extend `xin` so that it can parse a subtree in OpenDoc metadata format

`doc` : | GsfXMLInDoc
`md` : | GsfDocMetaData

### gsf_opendoc_metadata_write ()

    gboolean    gsf_opendoc_metadata_write      (GsfXMLOut *output,
                                                 GsfDocMetaData const *md);

`output` : |
`md` : |
Returns : |

## See Also

The Wikipedia article "OpenDocument".